<template>
  <div id="BreadcrumbUtils" v-if="items_breadcrumbs_props">
    <v-breadcrumbs :items="items_breadcrumbs_props" class="px-0" large>
      <template v-slot:item="{ item }">
        <v-breadcrumbs-item
          @click="goToPage(item.href)"
          :disabled="item.disabled ? item.disabled : false"
          :class="item.disabled ? '' : 'cursor-pointer info--text'"
        >
          {{ item.text ? $t(item.text) : "Fail text" }}
        </v-breadcrumbs-item>
      </template>
    </v-breadcrumbs>
  </div>
</template>
<script>
export default {
  props: ["items_breadcrumbs_props"],
  methods: {
    goToPage(route) {
      this.$router.push(this.localePath(route));
    },
  },
};
</script>
